Export Transactions
post
/rest/v19/commerceDocumentsOraclecpqoTransaction/actions/_export_transactions
Use this endpoint to export selected data column values for all selected transactions in a zipped excel file.
Request
Supported Media Types
- application/json
Root Schema : commerceDocumentsOraclecpqoTransaction-_export_transactionsCollectionRequest
Type:
Show Source
object-
selectionCriteria:
object Selection Query Definition
Title:
Selection Query DefinitionCaptures the query definition for resource requests, specifically for collection-based process actions.
Nested Schema : Selection Query Definition
Type:
objectTitle:
Selection Query DefinitionCaptures the query definition for resource requests, specifically for collection-based process actions.
Show Source
-
fields:
array fields
Array of field names for display.
-
orderBy:
array orderBy
Array of field names, each optionally followed by asc or desc, that specifies the order of items filtered.
-
q:
string
Filter (a "where" clause) to restrict the items returned in the collection. By default, no filtering is applied.
-
search:
string
Seeded Search Name
Nested Schema : orderBy
Type:
arrayArray of field names, each optionally followed by asc or desc, that specifies the order of items filtered.
Show Source
Response
Supported Media Types
- application/json
Default Response
Root Schema : commerceDocumentsOraclecpqoTransaction-_export_transactionsCollectionResponse
Type:
Show Source
object-
fileUrl:
string
Title:
File URLThe URL of the file. -
warnings:
object warnings
Title:
warningswarning messages
Nested Schema : warnings
Type:
objectTitle:
warningswarning messages
Show Source
-
messages:
array Messages
Title:
MessagesArray of messages that have been generated for a specific object.
Nested Schema : Messages
Type:
arrayTitle:
MessagesArray of messages that have been generated for a specific object.
Show Source
-
Array of:
string
warning message.
Examples
The following example shows how to export the specified Commerce transactions by submitting a POST request to the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X POST -H "Authorization: Bearer <token>" -H "Content-type: application/json" -H "Accept: application/json" https://sitename.oracle.com/rest/v19/commerceDocumentsOraclecpqoTransaction/actions/_export_transactions
Request Body Sample
{
"selectionCriteria": {
"search": "_my_approval_search",
"orderby": ["_id:desc", "searchViewName:asc"],
"fields": ["_id", "_lock_status", "bs_id", "processManagerFloat"]
}
}
Response Body Sample
{
"warnings": {},
"fileUrl": "https://sitename.oracle.com/rest/v19/commerceExports/filename.zip"
}